> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withflock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Referral



## OpenAPI

````yaml get /referrals
openapi: 3.0.0
info:
  title: Flock API
  description: API Documentation for Flock
  version: '1.0'
  contact: {}
servers:
  - url: https://api-dev.withflock.com
security: []
tags: []
paths:
  /referrals:
    get:
      tags:
        - Referral
      operationId: ReferralController_listReferrals
      parameters:
        - name: campaignId
          required: true
          in: query
          schema:
            type: string
        - name: status
          required: false
          in: query
          schema:
            enum:
              - pending
              - flagged
              - accepted
              - rejected
            type: string
        - name: limit
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/Object'
        - name: offset
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/Object'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListReferralsResponseDTO'
      security:
        - accessKey: []
components:
  schemas:
    Object:
      type: object
      properties: {}
    ListReferralsResponseDTO:
      type: object
      properties:
        total:
          type: number
        limit:
          type: number
        offset:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/ReferralResponseDTO'
      required:
        - total
        - limit
        - offset
        - data
    ReferralResponseDTO:
      type: object
      properties:
        id:
          type: string
        campaignId:
          type: string
        refereeId:
          type: string
          nullable: true
        referrerId:
          type: string
        status:
          type: object
        suspectedFrauds:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/FraudResultDTO'
        environment:
          type: string
          enum:
            - production
            - test
        organizationId:
          type: string
        applicationId:
          type: string
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        deletedAt:
          format: date-time
          type: string
          nullable: true
      required:
        - id
        - campaignId
        - refereeId
        - referrerId
        - status
        - suspectedFrauds
        - environment
        - organizationId
        - applicationId
        - createdAt
        - updatedAt
        - deletedAt
    FraudResultDTO:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
      required:
        - message
        - type
  securitySchemes:
    accessKey:
      type: apiKey
      in: header
      name: Authorization

````